## erm 0.13

=== DESCRIPTION ===
Package: eRm
Type: Package
Title: Extended Rasch Modeling.
Version: 0.13-0
Date: 2010-06-12
Author: Patrick Mair, Reinhold Hatzinger, Marco Maier
Maintainer: Patrick Mair <patrick.mair@wu.ac.at>
Description: eRm fits Rasch models (RM), linear logistic test models
        (LLTM), rating scale model (RSM), linear rating scale models
        (LRSM), partial credit models (PCM), and linear partial credit
        models (LPCM). Missing values are allowed in the data matrix.
        Additional features are the ML estimation of the person
        parameters, Andersen's LR-test, item-specific Wald test,
        Martin-Loef-Test, nonparametric Monte-Carlo Tests, itemfit and
        personfit statistics including infit and outfit measures,
        various ICC and related plots, automated stepwise item
        elimination, simulation module for various binary data
        matrices. An eRm platform is provided at R-forge (see URL).
License: GPL
Encoding: latin1
URL: http://r-forge.r-project.org/projects/erm/
Imports: graphics, stats, MASS, methods
Depends: R (>= 2.9.0), splines, methods, RaschSampler
LazyData: yes
LazyLoad: yes
Packaged: 2010-06-12 08:52:24 UTC; mair
Repository: CRAN
Date/Publication: 2010-06-14 07:05:20

## erm 0.13-0

=== debian/changelog ===
erm (0.13-0-2) unstable; urgency=low

  * Ensure only finite ranges are used in plotPWmap

 -- Julian Gilbey <jdg@debian.org>  Wed, 16 Jun 2010 07:10:25 +0100

erm (0.13-0-1) unstable; urgency=low

  * New upstream release
  * All earlier patches are now incorporated by upstream

 -- Julian Gilbey <jdg@debian.org>  Mon, 14 Jun 2010 19:29:28 +0100

erm (0.12-2.3-2) unstable; urgency=low

  * Correct person subsetting

 -- Julian Gilbey <jdg@debian.org>  Sun, 06 Jun 2010 13:18:48 +0100

erm (0.12-2.3-1) unstable; urgency=low

  * New upstream release
  * Upstream now incorporates all of the patches in version 0.12-0-6, so
    these have been removed from the package (thanks!)

 -- Julian Gilbey <jdg@debian.org>  Thu, 03 Jun 2010 11:24:17 +0100

erm (0.12-0-6) unstable; urgency=low

  * Fix showstopping-bug in plotPathwayMap which broke the code if there
    were any NA values in the data
  * Rename plotPathwayMap to plotPWMap, following upstream's request
  * plotPWMap enhancements requested by upstream: Offer options for colour
    and size of confidence intervals allow plotting both persons and items
    on same plot; allow not plotting confidence intervals;

 -- Julian Gilbey <jdg@debian.org>  Tue, 01 Jun 2010 11:35:33 +0100

erm (0.12-0-5) unstable; urgency=low

  * Fixed incorrect Build-Depends; hopefully this will work, but can't be
    sure as pbuilder isn't working (bug in util-linux) (Closes: #583770)

 -- Julian Gilbey <jdg@debian.org>  Sun, 30 May 2010 19:47:44 +0100

erm (0.12-0-4) unstable; urgency=low

  * Fixed incorrect variable name in plotPathwayMap (thanks to Reinhold
    Hatzinger again)

 -- Julian Gilbey <jdg@debian.org>  Sun, 23 May 2010 23:49:55 +0100

erm (0.12-0-3) unstable; urgency=low

  * Fix bug with plotPathwayMap - failed if pp was not given as a
    parameter
  * Allow more colour possibilities for nonordinal warnings in plotPImap
    (with thanks to Reinhold Hatzinger for suggesting this)

 -- Julian Gilbey <jdg@debian.org>  Mon, 17 May 2010 21:54:21 +0100

erm (0.12-0-2) unstable; urgency=low

  * Fixed dRM -> dRm bug in plotPImap
  * Fixed missing warning labels in plotPImap

 -- Julian Gilbey <jdg@debian.org>  Sun, 16 May 2010 21:53:16 +0100

erm (0.12-0-1) unstable; urgency=low

  * Initial Debian release (Closes: #544402)
  * Fixed subsetting bugs in plotPImap code, and allowed reuse of
    person.parameter calculations
  * Added Infit and Outfit t statistics, as per Rating Scale Analysis by
    Wright and Masters
  * Added ability to plot (slightly modified) Bond-and-Fox Pathway Maps

 -- Julian Gilbey <jdg@debian.org>  Sun, 16 May 2010 17:13:21 +0100

=== debian/control ===
Source: erm
Section: gnu-r
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper (>> 7), r-base-dev (>= 2.9.0-4), cdbs, r-cran-mass,
 r-cran-raschsampler
Standards-Version: 3.8.4
Homepage: http://cran.r-project.org/web/packages/eRm/index.html

Package: r-cran-erm
Architecture: any
Depends: r-base-core (>= 2.8.1), r-cran-mass,
 r-cran-raschsampler, ${shlibs:Depends}, ${misc:Depends}
Description: GNU R package for 'extended Rasch modelling'
 eRm fits Rasch models (RM), linear logistic test models (LLTM),
 rating scale model (RSM), linear rating scale models (LRSM), partial
 credit models (PCM), and linear partial credit models (LPCM). Missing
 values are allowed in the data matrix. Additional features are the ML
 estimation of the person parameters, Andersen's LR-test,
 item-specific Wald test, itemfit and personfit statistics including
 infit and outfit measures, various ICC and related plots, automated
 stepwise item elimination, simulation module for various binary data
 matrices. An eRm platform is provided at R-forge (see URL).

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for the Debian/GNU Linux r-cran-* packages

include /usr/share/R/debian/r-cran.mk

# Fix the borken permissions :-(
install/r-cran-erm::
	chmod a-x debian/r-cran-erm/usr/lib/R/site-library/eRm/doc/*

## erm 0.13-4.1~svn66

=== debian/changelog ===
erm (0.13-4.1~svn66-1) unstable; urgency=low

  * New upstream release
  * Based on SVN revision 66
  * Update to standards version 3.9.2

 -- Julian Gilbey <jdg@debian.org>  Tue, 24 May 2011 20:45:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Julian Gilbey <jdg@debian.org>
-Build-Depends: debhelper (>> 7), r-base-dev (>= 2.9.0-4), cdbs, r-cran-mass,
+Build-Depends: debhelper (>> 8), r-base-dev (>= 2.9.0-4), cdbs, r-cran-mass,
  r-cran-raschsampler
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://cran.r-project.org/web/packages/eRm/index.html
 
 Package: r-cran-erm

## erm 0.14

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: eRm
 Type: Package
 Title: Extended Rasch Modeling.
-Version: 0.13-0
-Date: 2010-06-12
+Version: 0.14-0
+Date: 2011-06-05
 Author: Patrick Mair, Reinhold Hatzinger, Marco Maier
 Maintainer: Patrick Mair <patrick.mair@wu.ac.at>
 Description: eRm fits Rasch models (RM), linear logistic test models
@@ -17,12 +17,12 @@
         elimination, simulation module for various binary data
         matrices. An eRm platform is provided at R-forge (see URL).
 License: GPL
-Encoding: latin1
 URL: http://r-forge.r-project.org/projects/erm/
-Imports: graphics, stats, MASS, methods
-Depends: R (>= 2.9.0), splines, methods, RaschSampler
+Imports: graphics, stats, MASS, methods, Matrix
+Depends: R (>= 2.12.0), splines, methods, RaschSampler
+Suggests: lattice
 LazyData: yes
 LazyLoad: yes
-Packaged: 2010-06-12 08:52:24 UTC; mair
+Packaged: 2011-06-05 11:22:28 UTC; hatz
 Repository: CRAN
-Date/Publication: 2010-06-14 07:05:20
+Date/Publication: 2011-06-06 07:03:22

## erm 0.14-0

=== debian/changelog ===
erm (0.14-0-6build1) saucy; urgency=low

  * Rebuild against R 3.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 11:17:22 +0100

erm (0.14-0-6) unstable; urgency=low

  * And fix the Build-Depends to depend on a versioned r-base-dev.

 -- Julian Gilbey <jdg@debian.org>  Sun, 07 Apr 2013 12:56:26 +0100

erm (0.14-0-5) unstable; urgency=low

  * Update the control file to use the ${R:Depends} autogenerated
    dependency list

 -- Julian Gilbey <jdg@debian.org>  Sun, 07 Apr 2013 09:46:06 +0100

erm (0.14-0-4) unstable; urgency=low

  * Update the control file to show the correct R dependencies

 -- Julian Gilbey <jdg@debian.org>  Sat, 06 Apr 2013 21:57:07 +0100

erm (0.14-0-3) unstable; urgency=low

  * Rebuild for R 3.0.0

 -- Julian Gilbey <jdg@debian.org>  Fri, 05 Apr 2013 14:47:01 +0100

erm (0.14-0-2) unstable; urgency=low

  * erm: added dependency on r-cran-matrix (Closes: #664609) 

 -- Julian Gilbey <jdg@debian.org>  Mon, 19 Mar 2012 13:27:09 +0000

erm (0.14-0-1) unstable; urgency=low

  * New upstream release
  * Remove now-obsolete dependency and lintian override for cdbs
  * Update to standards version 3.9.3
  * Convert copyright file to copyright-format 1.0
  * Fix bug in plotPWmap subsetting feature

 -- Julian Gilbey <jdg@debian.org>  Mon, 19 Mar 2012 13:26:17 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Julian Gilbey <jdg@debian.org>
-Build-Depends: debhelper (>> 8), r-base-dev (>= 2.9.0-4), cdbs, r-cran-mass,
- r-cran-raschsampler
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>> 9), cdbs, r-base-dev (>= 2.12.0), r-cran-mass,
+ r-cran-raschsampler, r-cran-matrix
+Standards-Version: 3.9.3
 Homepage: http://cran.r-project.org/web/packages/eRm/index.html
 
 Package: r-cran-erm
 Architecture: any
-Depends: r-base-core (>= 2.8.1), r-cran-mass,
+Depends: ${R:Depends}, r-cran-mass, r-cran-matrix,
  r-cran-raschsampler, ${shlibs:Depends}, ${misc:Depends}
 Description: GNU R package for 'extended Rasch modelling'
  eRm fits Rasch models (RM), linear logistic test models (LLTM),

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,10 @@
 #!/usr/bin/make -f
 # debian/rules file for the Debian/GNU Linux r-cran-* packages
+
+# We don't want to include the cdbs patchsys, as we're using source
+# format 3.0 (quilt).  The following line makes cdbs skip trying to
+# load it (it is included by /usr/share/R/debian/r-cran.mk).
+_cdbs_rules_patchsys = 1
 
 include /usr/share/R/debian/r-cran.mk

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/eRm_([-0-9\.]*).tar.gz
